View Issue Details

IDProjectCategoryView StatusLast Update
0021815mantisbtcode cleanuppublic2016-11-27 00:45
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.0.0-beta.3 
Target Version2.0.0-rc.2Fixed in Version2.0.0-rc.2 
Summary0021815: print_button() has changed definition from v1.3
Description

in print_api:

The function print_button() has been modified to a different functionality and incompatible parameters from the one that existed in v1.3

Actually: old print_button(), has been renamed to print_form_button().

This has broken backwards compatibility, for example, for plugins.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 916edd39

2016-10-20 17:35:23

cproensa


Committer: dregad Details Diff
Add print_button() back as v1.3 compatible

Reintroduce the original print_button() function, to keep compatibility
with external code.
However, this functions redirects to the new one, and is marked as
deprecated.

Fixes: 0021815
mod - core/print_api.php Diff File

Issue History

Date Modified Username Field Change
2016-10-20 17:33 cproensa New Issue
2016-10-20 18:04 cproensa Assigned To => cproensa
2016-10-20 18:04 cproensa Status new => assigned
2016-11-26 04:31 dregad Changeset attached => MantisBT master 916edd39
2016-11-26 04:31 dregad Assigned To cproensa => dregad
2016-11-26 04:31 dregad Status assigned => resolved
2016-11-26 04:31 dregad Resolution open => fixed
2016-11-26 04:31 dregad Fixed in Version => 2.0.0-rc.2
2016-11-26 04:36 dregad Assigned To dregad => cproensa
2016-11-26 04:36 dregad Target Version => 2.0.0-rc.2
2016-11-27 00:45 vboctor Status resolved => closed